//
//  UserAccountCard.swift
//  demo
//
//  Created by Jason on 2024/1/24.
//

import SwiftUI

struct UserAccountCard: View {
    var model: UserAccountCardModel
    var body: some View {
        VStack(alignment: .leading, spacing: 12) {
            HStack(spacing: 4) {
                Image(systemName: model.icon)
                    .resizable()
                    .frame(width: 15, height: 15)
                    .foregroundColor(Color.black)
                Text(model.title)
                    .font(.system(size: 16))
                    .foregroundColor(Color.black)
            }
            Text(model.info)
                .font(.system(size: 12))
                .foregroundColor(Color.gray)
        }
        .padding(12)
        .background(Color.white)
        .cornerRadius(8)
    }
}
